.TH "orte_gpr_replica_segment_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte_gpr_replica_segment_t \- Registry segment definition.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <gpr_replica.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.RI "\fIMake this an object. \fP"
.ti -1c
.RI "char * \fBname\fP"
.br
.RI "\fIName of the segment. \fP"
.ti -1c
.RI "orte_gpr_replica_itag_t \fBitag\fP"
.br
.RI "\fIitag of this segment \fP"
.ti -1c
.RI "orte_gpr_replica_itag_t \fBnum_dict_entries\fP"
.br
.ti -1c
.RI "\fBorte_pointer_array_t\fP * \fBdict\fP"
.br
.RI "\fIManaged array of dict structs. \fP"
.ti -1c
.RI "size_t \fBnum_containers\fP"
.br
.ti -1c
.RI "\fBorte_pointer_array_t\fP * \fBcontainers\fP"
.br
.RI "\fIManaged array of pointers to containers on this segment. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Registry segment definition. 

The registry is subdivided into segments, each defining a unique domain. The 'universe' segment is automatically created to allow the exchange of information supporting universe-level functions. Similarly, a segment is automatically created for each MPI CommWorld within the universe - the name for that segment is stored in each CommWorld's ompi_system_info structure so program elements within that CommWorld can access it. The segment structure serves as the 'head' of a linked list of registry elements for that segment. Each segment also holds its own token-itag dictionary to avoid naming conflicts between tokens from CommWorlds sharing a given universe. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
